=== autotests/CMakeLists.txt ===
ecm_add_tests(alternativesmodeltest LINK_LIBRARIES Qt5::Test KF5::Purpose)
ecm_add_tests(menutest LINK_LIBRARIES Qt5::Test KF5::PurposeWidgets)
