=== src/plugins/ktp-sendfile/CMakeLists.txt ===
add_share_plugin(ktpsendfileplugin ktpsendfileplugin.cpp)
target_link_libraries(ktpsendfileplugin KF5::I18n)
