=== debian/changelog ===
purpose (1.0+git20150907-0ubuntu1) wily; urgency=medium

  * New upstream snapshot to fix overlapping files

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 07 Oct 2015 13:53:29 +0100

purpose (1.0-0ubuntu1) wily; urgency=medium

  * New upstream release

 -- Clive Johnston <clivejo@aol.com>  Thu, 24 Sep 2015 17:13:21 +0100

purpose (1.0~rc1-0ubuntu1) wily; urgency=medium

  * Package for Kubuntu
  * Fix the watch file 

 -- Clive Johnston <clivejo@aol.com>  Fri, 07 Aug 2015 22:28:47 +0100
