=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_auto_configure:
	$(overridden_command) -- -DCMAKE_CXX_FLAGS="-I/usr/include/accounts-qt5/"

override_dh_strip:
	$(overridden_command) --dbg-package=libkf5purpose5-dbg

override_dh_makeshlibs:
	$(overridden_command) -Xusr/lib/$(DEB_HOST_GNU_TYPE)/qt5/plugins/purpose/ -Xusr/lib/$(DEB_HOST_GNU_TYPE)/libReviewboardHelpers.so

.PHONY: override_dh_auto_test
