=== debian/watch ===
version=3
http://download.kde.org/unstable/purpose/purpose-(.*)\.tar\.xz
http://download.kde.org/stable/purpose/purpose-(.*)\.tar\.xz
