=== src/CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,11 @@
     job.cpp
     alternativesmodel.cpp
     configuration.cpp
+    helper.cpp
+    externalprocess/processjob.cpp
 )
+set_source_files_properties(externalprocess/processjob.cpp PROPERTIES COMPILE_FLAGS "-DCMAKE_INSTALL_FULL_LIBEXECDIR_KF5=\\\"${CMAKE_INSTALL_FULL_LIBEXECDIR_KF5}\\\"")
+
 target_include_directories(KF5Purpose PUBLIC "$<BUILD_INTERFACE:${CMAKE_CURRENT_BINARY_DIR}>"
                                              "$<BUILD_INTERFACE:${Purpose_BINARY_DIR}>"
                                       INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_KF5}/purpose>"
@@ -12,6 +16,8 @@
     PUBLIC
         KF5::CoreAddons
         Qt5::Gui
+    PRIVATE
+        Qt5::Network #QLocalSocket
 )
 set_target_properties(KF5Purpose PROPERTIES VERSION ${PURPOSE_VERSION_STRING}
                                           SOVERSION ${PURPOSE_SOVERSION}
@@ -41,6 +47,11 @@
   DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5}/purpose/purpose COMPONENT Devel
 )
 
+add_executable(purposeprocess externalprocess/purposeprocess_main.cpp helper.cpp)
+target_link_libraries(purposeprocess KF5::Purpose Qt5::Network Qt5::Widgets)
+install(TARGETS purposeprocess DESTINATION ${KDE_INSTALL_LIBEXECDIR_KF5})
+
 add_subdirectory(plugins)
 add_subdirectory(quick)
 add_subdirectory(widgets)
+
