=== debian/control ===
Source: purpose
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9.0.0),
               extra-cmake-modules (>= 1.7.0~),
               intltool,
               kaccounts-integration,
               libaccounts-glib-dev,
               libaccounts-qt5-dev,
               libkaccounts-dev,
               libkf5coreaddons-dev (>= 5.7.0~),
               libkf5declarative-dev,
               libkf5i18n-dev (>= 5.7.0~),
               libkf5kcmutils-dev,
               libkf5kio-dev (>= 5.7.0~),
               libkf5wallet-dev,
               libsignon-qt5-dev,
               pkg-config,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.2~),
               qtdeclarative5-dev (>= 5.2~)
Standards-Version: 3.9.8
Homepage: https://quickgit.kde.org/?p=purpose.git
Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/frameworks/purpose.git
Vcs-Git: https://anonscm.debian.org/git/pkg-kde/frameworks/purpose.git

Package: libkf5purpose-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf5coreaddons-dev (>= 5.7.0~),
         libkf5purpose5 (= ${binary:Version}),
         libkf5purpose-bin (= ${binary:Version}),
         qtbase5-dev (>= 5.2~),
         ${misc:Depends}
Description: abstraction to provide and leverage actions of a specific kind, devel files
 Purpose offers the possibility to create integrate services and actions on
 any application without having to implement them specifically. Purpose will
 offer them mechanisms to list the different alternatives to execute given the
 requested action type and will facilitate components so that all the plugins
 can receive all the information they need.
 .
 This package contains the Purpose development files.

Package: libkf5purpose5
Architecture: any
Multi-Arch: same
Depends: qml-module-org-kde-kquickcontrolsaddons,
         ${misc:Depends},
         ${shlibs:Depends}
Conflicts: libkf5purposewidgets5 (<< 1.1-2~)
Replaces: libkf5purposewidgets5 (<< 1.1-2~)
Recommends: libkf5purpose-bin, qml-module-org-kde-purpose (= ${binary:Version})
Suggests: kde-telepathy-send-file
Description: library for abstractions to get the developer's purposes fulfilled
 Framework for providing abstractions to get the developer's purposes fulfilled.
 .
 This package contains the Purpose library.

Package: libkf5purpose-bin
Architecture: any
Multi-Arch: same
Depends: nodejs [!armel],
         qml-module-org-kde-kquickcontrolsaddons,
         qml-module-qtquick-dialogs,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: kdeconnect
Breaks: libkf5purpose5 (<< ${source:Version}~ciBuild), kamoso (<< 3.2.1~)
Replaces: libkf5purpose5 (<< ${source:Version}~ciBuild), kamoso (<< 3.2.1~)
Description: abstraction to provide and leverage actions of a specific kind, runtime
 Purpose offers the possibility to create integrate services and actions on
 any application without having to implement them specifically. Purpose will
 offer them mechanisms to list the different alternatives to execute given the
 requested action type and will facilitate components so that all the plugins
 can receive all the information they need.
 .
 This package contains the Purpose runtime elements.

Package: qml-module-org-kde-purpose
Architecture: any
Multi-Arch: same
Replaces: qml-modules-org-kde-purpose (<< ${source:Version}~ciBuild)
Breaks: qml-modules-org-kde-purpose (<< ${source:Version}~ciBuild)
Depends: qml-module-qtquick-controls,
         qml-module-qtquick-layouts,
         qml-module-qtquick2,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: kdeconnect
Description: abstraction to provide and leverage actions of a specific kind, qml bindings
 Purpose offers the possibility to create integrate services and actions on
 any application without having to implement them specifically. Purpose will
 offer them mechanisms to list the different alternatives to execute given the
 requested action type and will facilitate components so that all the plugins
 can receive all the information they need.
 .
 This package contains the Purpose Qt Quick QML bindings.

Package: qml-modules-org-kde-purpose
Architecture: any
Multi-Arch: same
Depends: qml-module-org-kde-purpose (= ${binary:Version})
Section: oldlibs
Priority: extra
Description: transitional package for renamed qml-module-org-kde-purpose
 Transitional package for renamed qml-module-org-kde-purpose.  This
 package can be safely removed.
