=== debian/watch ===
version=3
http://download.kde.org/stable/purpose/purpose-(.*)\.tar\.xz
