=== src/CMakeLists.txt ===
--- 
+++ 
@@ -1,3 +1,7 @@
+qt5_add_resources(purpose_SRCS standard-plugin-types.qrc)
+
+configure_file(${CMAKE_CURRENT_SOURCE_DIR}/cmake-paths.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/cmake-paths.h)
+
 add_library(KF5Purpose
     pluginbase.cpp
     job.cpp
@@ -5,8 +9,8 @@
     configuration.cpp
     helper.cpp
     externalprocess/processjob.cpp
+    ${purpose_SRCS}
 )
-set_source_files_properties(externalprocess/processjob.cpp PROPERTIES COMPILE_FLAGS "-DCMAKE_INSTALL_FULL_LIBEXECDIR_KF5=\\\"${CMAKE_INSTALL_FULL_LIBEXECDIR_KF5}\\\"")
 
 target_include_directories(KF5Purpose PUBLIC "$<BUILD_INTERFACE:${CMAKE_CURRENT_BINARY_DIR}>"
                                              "$<BUILD_INTERFACE:${Purpose_BINARY_DIR}>"
@@ -17,14 +21,16 @@
         KF5::CoreAddons
         Qt5::Gui
     PRIVATE
+        Qt5::DBus
         Qt5::Network #QLocalSocket
+        KF5::ConfigCore
 )
 set_target_properties(KF5Purpose PROPERTIES VERSION ${PURPOSE_VERSION_STRING}
                                           SOVERSION ${PURPOSE_SOVERSION}
                                           EXPORT_NAME Purpose
 )
 
-install(TARGETS KF5Purpose EXPORT KDEExperimentalPurposeTargets ${KF5_INSTALL_TARGETS_DEFAULT_ARGS})
+install(TARGETS KF5Purpose EXPORT KF5PurposeTargets ${KF5_INSTALL_TARGETS_DEFAULT_ARGS})
 add_library(KF5::Purpose ALIAS KF5Purpose)
 
 generate_export_header(KF5Purpose EXPORT_FILE_NAME ${Purpose_BINARY_DIR}/purpose/purpose_export.h BASE_NAME Purpose)
@@ -48,6 +54,7 @@
 )
 
 add_executable(purposeprocess externalprocess/purposeprocess_main.cpp helper.cpp)
+ecm_mark_nongui_executable(purposeprocess)
 target_link_libraries(purposeprocess KF5::Purpose Qt5::Network Qt5::Widgets)
 install(TARGETS purposeprocess DESTINATION ${KDE_INSTALL_LIBEXECDIR_KF5})
