=== debian/changelog ===
purpose (5.44.0-0ubuntu1) bionic; urgency=medium

  * Install debug categories file
  * New upstream release (5.44.0)

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 12 Mar 2018 20:00:31 +0000

purpose (5.43.0-0ubuntu1) bionic; urgency=medium

  [ Rik Mills ]
  * Drop nodejs patch. Changes to set required executable applied upstream
  * Update install files
  * Update lintian-overrides for newly installed files
  * Install new nextcloud service & wrap-and-sort
  * New upstream RC Release (1.1.90)
  * Transitional packages now change from priority extra to optional
  * Update symbols from build log
  * New upstream release (5.43.0)

  [ Clive Johnston ]
  * Update libkf5purpose-bin.install to install versioned libs

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 11 Feb 2018 11:17:55 +0000

purpose (1.1-5ubuntu2) artful; urgency=medium

  * Re-add transitional qml-modules-org-kde-purpose binary to
    ensure smooth lts to lts upgrades. Thanks Jeremy!
    (Can be dropped after 18.04 release).

 -- Bhavani Shankar <bhavi@ubuntu.com>  Thu, 22 Jun 2017 17:14:12 +0530

purpose (1.1-5ubuntu1) artful; urgency=medium

  * Resync from Debian unstable. Remaining changes:
    - Add transitional libkf5purposewidgets5 package
    (Needed till next LTS Ubuntu 18.04 release).

 -- Bhavani Shankar <bhavi@ubuntu.com>  Tue, 20 Jun 2017 14:08:55 +0530

purpose (1.1-5) unstable; urgency=medium

  * Team upload.

  [ Maximiliano Curia ]
  * Downgrade nodejs to Recommends.
    Thanks to Bob Tracy for reporting (Closes: 855486)

  [ Pino Toscano ]
  * Switch Homepage to a working cgit.kde.org URL.
  * Drop the transitional qml-modules-org-kde-purpose binary.
    - fix the version of breaks/replaces in qml-module-org-kde-purpose to
      1.1-5~
  * Remove unused debian/meta/cmake-ignore file.
  * Use $(DEB_HOST_MULTIARCH) instead of $(DEB_HOST_GNU_TYPE) in excluded
    paths for dh_makeshlibs, so it properly works also on i386 architectures.
  * Fix Git web interface URLs in debian/upstream/metadata.

 -- Pino Toscano <pino@debian.org>  Sun, 18 Jun 2017 14:57:16 +0200

purpose (1.1-4ubuntu1) zesty; urgency=medium

  * Sync with Debian.
  * Add transitional libkf5purposewidgets5 package

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 25 Dec 2016 09:40:00 -0500

purpose (1.0-0ubuntu2) UNRELEASED; urgency=medium

  [ Scarlett Clark ]
  * Backport to xenial.

  [ Clive Johnston ]
  * Refresh symbols
  * Updating VCS fields in control file

 -- Scarlett Clark <sgclark@kubuntu.org>  Tue, 26 Apr 2016 14:37:15 -0700

purpose (1.0-0ubuntu1) UNRELEASED; urgency=medium

  * New upstream release
    - Updated symbol files
    - Adding missing file to libkf5purpose5.install
  * Fixing install file, again!
  * Refreshing symbols

 -- Clive Johnston <clivejo@aol.com>  Tue, 01 Dec 2015 19:24:36 +0000
