=== debian/control ===
Source: purpose
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9.0.0),
               extra-cmake-modules (>= 5.44.0~),
               intltool,
               kaccounts-integration,
               libaccounts-glib-dev,
               libaccounts-qt5-dev,
               libkaccounts-dev,
               libkf5coreaddons-dev (>= 5.44.0~),
               libkf5declarative-dev (>= 5.44.0~),
               libkf5i18n-dev (>= 5.44.0~),
               libkf5kcmutils-dev (>= 5.44.0~),
               libkf5kio-dev (>= 5.44.0~),
               libkf5wallet-dev (>= 5.44.0~),
               libsignon-qt5-dev,
               pkg-config,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev,
               qtdeclarative5-dev-tools
Standards-Version: 3.9.8
Homepage: https://cgit.kde.org/purpose.git/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/purpose
Vcs-Git: git://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/purpose

Package: libkf5purpose-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf5coreaddons-dev (>= 5.44.0~),
         libkf5purpose-bin (= ${binary:Version}),
         libkf5purpose5 (= ${binary:Version}),
         qtbase5-dev (>= 5.2~),
         ${misc:Depends}
Description: abstraction to provide and leverage actions of a specific kind, devel files
 Purpose offers the possibility to create integrate services and actions on
 any application without having to implement them specifically. Purpose will
 offer them mechanisms to list the different alternatives to execute given the
 requested action type and will facilitate components so that all the plugins
 can receive all the information they need.
 .
 This package contains the Purpose development files.

Package: libkf5purpose5
Architecture: any
Multi-Arch: same
Depends: qml-module-org-kde-kquickcontrolsaddons,
         ${misc:Depends},
         ${shlibs:Depends}
Conflicts: libkf5purposewidgets5 (<< 1.1-3~)
Replaces: libkf5purposewidgets5 (<< 1.1-3~)
Recommends: libkf5purpose-bin, qml-module-org-kde-purpose (= ${binary:Version})
Suggests: kde-telepathy-send-file
Description: library for abstractions to get the developer's purposes fulfilled
 Framework for providing abstractions to get the developer's purposes fulfilled.
 .
 This package contains the Purpose library.

Package: libkf5purpose-bin
Architecture: any
Multi-Arch: same
Depends: qml-module-org-kde-kquickcontrolsaddons,
         qml-module-qtquick-dialogs,
         qml-module-ubuntu-onlineaccounts,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: kdeconnect, nodejs | nodejs-legacy
Breaks: kamoso (<< 3.2.1~), libkf5purpose5 (<< ${source:Version}~ciBuild)
Replaces: kamoso (<< 3.2.1~), libkf5purpose5 (<< ${source:Version}~ciBuild)
Description: abstraction to provide and leverage actions of a specific kind, runtime
 Purpose offers the possibility to create integrate services and actions on
 any application without having to implement them specifically. Purpose will
 offer them mechanisms to list the different alternatives to execute given the
 requested action type and will facilitate components so that all the plugins
 can receive all the information they need.
 .
 This package contains the Purpose runtime elements.

Package: qml-module-org-kde-purpose
Architecture: any
Multi-Arch: same
Replaces: qml-modules-org-kde-purpose (<< 1.1-5~)
Breaks: qml-modules-org-kde-purpose (<< 1.1-5~)
Depends: qml-module-qtquick-controls,
         qml-module-qtquick-layouts,
         qml-module-qtquick2,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: kdeconnect, qml-module-ubuntu-onlineaccounts
Description: abstraction to provide and leverage actions of a specific kind, qml bindings
 Purpose offers the possibility to create integrate services and actions on
 any application without having to implement them specifically. Purpose will
 offer them mechanisms to list the different alternatives to execute given the
 requested action type and will facilitate components so that all the plugins
 can receive all the information they need.
 .
 This package contains the Purpose Qt Quick QML bindings.

Package: qml-modules-org-kde-purpose
Architecture: any
Multi-Arch: same
Depends: qml-module-org-kde-purpose (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Section: oldlibs
Priority: optional
Description: transitional package for renamed qml-module-org-kde-purpose
 Transitional package for renamed qml-module-org-kde-purpose.  This
 package can be safely removed.

Package: libkf5purposewidgets5
Architecture: any
Multi-Arch: same
Depends: libkf5purpose5 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Section: oldlibs
Priority: optional
Description: Transitional package
 This transitional package can be removed.
 .
 Does not contain development files for Purpose.
