=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,7 @@
 	:
 
 override_dh_makeshlibs:
-	$(overridden_command) -Xusr/lib/$(DEB_HOST_GNU_TYPE)/qt5/plugins/purpose/ -Xusr/lib/$(DEB_HOST_GNU_TYPE)/libReviewboardHelpers.so
+	$(overridden_command) -Xusr/lib/$(DEB_HOST_MULTIARCH)/qt5/plugins/purpose/
 
 override_dh_shlibdeps:
 	$(overridden_command) -plibkf5purpose5 -- -xlibkf5purpose-bin
